﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Add.ascx.cs" Inherits="Gooddogs.Modules.Dnn.ToDoList.Views.Add" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Web.Client.ClientResourceManagement" Assembly="DotNetNuke.Web.Client" %>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/LabelControl.ascx" %> 

<dnn:dnnjsinclude priority="60" id="viewmodel" runat="server" filepath="~/DesktopModules/ToDoList/ViewModels/Add.js"
    forceprovider="DnnFormBottomProvider" />
	
<div class="container">

    <fieldset>
        <legend></legend>

        <div class="column last dnnForm dnnClear">

            <div class="dnnFormItem">
                <dnn:label id="plTask" runat="server" controlName="txtTask"></dnn:label>
                <asp:TextBox id="txtTask" runat="server" CssClass="dnnFormRequired" data-bind="value: Task"></asp:TextBox>
                <asp:RequiredFieldValidator CssClas="dnnFormMessage dnnFormError" id="valTask"
                    runat="server" resourceKey="valTask.ReqErrorMsg" Display="Dynamic"
                    ControlToValidate="txtTask"></asp:RequiredFieldValidator>
            </div>

            <div class="dnnFormItem">
                <dnn:label id="plCategory" runat="server" controlName="ddlCategory"></dnn:label>
                <select id="ddlCategory" data-bind="options: categories, optionsText: 'Name', optionsValue: 'Id', value: selectedCategory"></select>
            </div>

            <div class="dnnFormItem">
                <dnn:label id="plPerson" runat="server" controlName="ddlPerson"></dnn:label>
                <select id="ddlPerson" data-bind="options: people, optionsText: 'DisplayName', optionsValue: 'UserID', value: selectedPerson"></select>
            </div>

            <div class="dnnFormItem">
                <dnn:label id="plStatus" runat="server" controlName="ddlStatus"></dnn:label>
                <select id="ddlStatus" data-bind="options: status, optionsText: 'Status', optionsValue: 'Id', value: selectedStatus"></select>
            </div>

            <ul class="dnnActions dnnClear">
                <li><asp:LinkButton id="lbtnAdd" CssClass="dnnPrimaryAction" Text="Submit"
                    runat="server" data-bind="click: addTask"></asp:LinkButton></li>
                <li><asp:LinkButton id="lbtnCancel" CssClass="dnnSecondaryAction" Text="Cancel"
                    runat="server" data-bind="click: cancelTask"></asp:LinkButton></li>
            </ul>

        </div>

        </fieldset>

</div>