﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Edit.ascx.cs" Inherits="Gooddogs.Modules.Dnn.ToDoList.Views.Edit" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Web.Client.ClientResourceManagement" Assembly="DotNetNuke.Web.Client" %> 
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/LabelControl.ascx" %>

<dnn:dnnjsinclude priority="60" id="viewmodel" runat="server" filepath="~/DesktopModules/ToDoList/ViewModels/Edit.js"
    forceprovider="DnnFormBottomProvider" />

<script type="text/javascript">

    var _id = '<%=thisItemID %>';

</script>

<div class="container span-24">

    <div class="column span-24">
    
        <fieldset>
            <legend></legend>
            <div class="dnnForm dnnClear">
        
                <div class="dnnFormItem">
                    <dnn:label id="plTask" runat="server" controlName="txtTask"></dnn:label>
                    <asp:TextBox ID="txtTask" runat="server" CssClass="dnnFormRequired" data-bind="value: Task"></asp:TextBox>
                    <asp:RequiredFieldValidator CssClass="dnnFormMessage dnnFormError" ID="valTask"
                        runat="server" resourceKey="valTask.RequiredErrorMessage" Display="Dynamic" ControlToValidate="txtTask">
                    </asp:RequiredFieldValidator>
                </div>

                <div class="dnnFormItem">
                    <dnn:label id="plCategory" runat="server" controlName="ddlCategory"></dnn:label>
                    <select id="ddlCategory" data-bind="options: categories, optionsText: 'Name', optionsValue: 'Id', value: selectedCategory"></select>
                </div>

                <div class="dnnFormItem">
                    <dnn:label id="plPerson" runat="server" controlName="ddlPerson"></dnn:label>
                    <select id="ddlPerson" data-bind="options: people, optionsText: 'DisplayName', optionsValue: 'UserID', value: selectedPerson"></select>
                </div>

                <div class="dnnFormItem">
                    <dnn:label id="plStatus" runat="server" controlName="ddlStatus"></dnn:label>
                    <select id="ddlStatus" data-bind="options: statuses, optionsText: 'Status', optionsValue: 'Id', value: selectedStatus"></select>
                </div>


                <ul class="dnnActions dnnClear">
                    <li><asp:LinkButton ID="lbtnAdd" CssClass="dnnPrimaryAction" Text="Update Task" runat="server" data-bind="click: updateTask"></asp:LinkButton></li>
                    <li><asp:LinkButton ID="lbtnDel" CssClass="dnnSecondaryAction" Text="Delete Task" runat="server" data-bind="click: deleteTask"></asp:LinkButton></li>
                </ul>
        
            </div>
        </fieldset>

    </div>

    <div id="dialog-confirm" title="Delete this Task?">
	    <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>
        These items will be permanently deleted and cannot be recovered. Are you sure?</p>
    </div>

</div>