<%@ Control language="C#" Inherits="Gooddogs.Modules.Dnn.ToDoList.View" AutoEventWireup="false"  Codebehind="View.ascx.cs" %>

<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Web.Client.ClientResourceManagement"
    Assembly="DotNetNuke.Web.Client" %>

<dnn:dnnjsinclude priority="60" id="viewmodel" runat="server" filepath="~/DesktopModules/ToDoList/ViewModels/View.js"
    forceprovider="DnnFormBottomProvider" />

<script type="text/javascript">
    $(document).ready(function () {
        $(".editLink").live("click", function () {
            var ID = $(this).attr('id');
            document.location.href = _editURL + '/Id/' + ID;
        });
    });
</script>
	
<div class="container">

    <table>
        <thead>
            <tr>
                <th style="width:16px;" id="editHdr"></th>
                <th>Task Id</th>
                <th>Category</th>
                <th>Status</th>
                <th>Date Created</th>
                <th>Description</th>
                <th>Assigned to</th>
            </tr>
        </thead>
        <tbody data-bind="foreach: tasks">
        <tr>
            <td class="tdEdit">
                    <a href="#" class="editLink" data-bind="attr: {id: Id}">
                        <img src="<%= ModulePath %>../Content/images/edit.gif" alt="edit" />
                    </a>
            </td>
            <td data-bind="text: Id"></td>
            <td data-bind="text: Category.Name"></td>
            <td data-bind="text: Status.Status"></td>
            <td data-bind="dateString: CreatedDate"></td>
            <td data-bind="text: Task"></td>
            <td data-bind="text: User.DisplayName"></td>
        </tr>
        </tbody>
    </table>
 
</div>
